--DROP VendorLocations VIEW for testing purposes
--DROP VIEW VendorLocations

--Using a VIEW to 'pre-format' data
--CREATE VIEW VendorLocations AS
--	SELECT RTRIM(vend_name) + ' (' +RTRIM(vend_country) + ')' AS vend_location, vend_country
--	FROM Vendors
	
--SELECT Statement must be executed separately after the CREATE VIEW	
SELECT *
FROM VendorLocations

--Using the WHERE Clause with the formatted VIEW
SELECT *
FROM VendorLocations
WHERE vend_country = 'USA'
